Subject: Offline Message from Darren Liou: I am trying navigate the warranty site, but
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Wed, 29 Sep 2021 23:32:13 -0000

From: Darren Liou <[email-masked]>
Phone: 4086212140
Location: Los Angeles, United States
URL: https://swagtron.com/warranty-details-and-registration/
Department: SwagTron

I am trying navigate the warranty site, but I keep receiving the error "The date format is incorrect" under the Date of Purchase section. I have tried MM/dd/yyyy and similar formats to no avail. Please let me know what the correct format is so I can fill out this form! 

If it is easier, please have a representative email me directly to handle the warranty

----
Zopim
https://www.zopim.com